Bug 1420931 - Review Request: tripleo-repos - repo management tool for tripleo
Summary: Review Request: tripleo-repos - repo management tool for tripleo
Status: CLOSED RAWHIDE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alan Pevec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: RDO-PIKE
TreeView+ depends on / blocked
 
Reported: 2017-02-09 22:17 UTC by Ben Nemec
Modified: 2017-12-12 13:58 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 13:58:23 UTC
karlthered: rdo-review+


Attachments (Terms of Use)

Description Ben Nemec 2017-02-09 22:17:26 UTC
Spec URL: https://fedorapeople.org/~bnemec/tripleo-repos.spec
SRPM URL: https://fedorapeople.org/~bnemec/tripleo-repos-0.0.1.dev26-99999.src.rpm
Description: tripleo-repos is a tool to provide a single method for setting up the necessary
yum repositories to do a TripleO deployment.
Fedora Account System Username: bnemec

Comment 1 Alan Pevec 2017-03-30 23:49:50 UTC
> Summary:    A tool for managing TripleO repos from places like dlrn and Ceph.

"dlrn" is NOT a place, it's a build system tooling.
Place is "RDO Trunk".
I'll send patches to the openstack/tripleo-repos to correct this misconception.

Comment 2 Alan Pevec 2017-05-19 21:34:51 UTC
./tripleo-repos/.testr.conf: *No copyright* UNKNOWN
./tripleo-repos/LICENSE: *No copyright* Apache (v2.0)
./tripleo-repos/README.rst: *No copyright* UNKNOWN
./tripleo-repos/requirements.txt: *No copyright* UNKNOWN
./tripleo-repos/setup.cfg: *No copyright* Apache
./tripleo-repos/setup.py: Apache (v2.0) GENERATED FILE
./tripleo-repos/test-requirements.txt: *No copyright* UNKNOWN
./tripleo-repos/tox.ini: *No copyright* UNKNOWN

License is ASL 2.0, good for the step 2. in https://www.rdoproject.org/documentation/rdo-packaging/#how-to-add-a-new-package-to-rdo-trunk

Comment 3 Alan Pevec 2017-05-19 21:45:43 UTC
> I'll send patches to the openstack/tripleo-repos to correct this
> misconception.

https://review.openstack.org/466416

Comment 4 Alan Pevec 2017-05-26 22:45:47 UTC
RDO import progress: https://review.rdoproject.org/r/#/q/topic:add-tripleo-repos

Comment 5 Ben Nemec 2017-07-14 21:43:16 UTC
The initial RDO import has merged: https://review.rdoproject.org/r/#/c/6882/

I've updated the spec and srpm based on the changes requested in that review:
https://fedorapeople.org/~bnemec/tripleo-repos.spec
https://fedorapeople.org/~bnemec/tripleo-repos-0.0.1.dev26-99999.src.rpm

Comment 6 Haïkel Guémar 2017-09-06 16:54:19 UTC
Approved



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 21 files have unknown
     license. Detailed output of licensecheck in /home/hguemar/dist-git-
     delorean/centos-
     master/data/repos/0d/c0/0dc002a0b2a16b3fbd1fbf23cf63b12a2ee2ceac_dev
     /review-tripleo-repos/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[-]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.0.1.dev30
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-tripleo-repos-0.0.1-0.20170906162901.0dc002a.el7.noarch.rpm
          tripleo-repos-0.0.1-0.20170906162901.0dc002a.el7.src.rpm
python2-tripleo-repos.noarch: W: spelling-error Summary(en_US) dlrn -> darn, dirndl
python2-tripleo-repos.noarch: W: summary-ended-with-dot C A tool for managing TripleO repos from places like dlrn and Ceph.
python2-tripleo-repos.noarch: E: no-changelogname-tag
python2-tripleo-repos.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/tripleo_repos/main.py /usr/bin/env python
python2-tripleo-repos.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tripleo_repos/main.py 644 /usr/bin/env python
python2-tripleo-repos.noarch: W: no-manual-page-for-binary tripleo-repos
python2-tripleo-repos.noarch: W: no-manual-page-for-binary tripleo-repos-2
python2-tripleo-repos.noarch: W: no-manual-page-for-binary tripleo-repos-2.7
tripleo-repos.src: W: spelling-error Summary(en_US) dlrn -> darn, dirndl
tripleo-repos.src: W: summary-ended-with-dot C A tool for managing TripleO repos from places like dlrn and Ceph.
tripleo-repos.src: E: no-changelogname-tag
tripleo-repos.src: W: invalid-url Source0: tripleo-repos-0.0.1.dev30-0.20170906162901.0dc002a.tar.gz
2 packages and 0 specfiles checked; 4 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
python2-tripleo-repos.noarch: W: summary-ended-with-dot C A tool for managing TripleO repos from places like dlrn and Ceph.
python2-tripleo-repos.noarch: E: no-changelogname-tag
python2-tripleo-repos.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/tripleo_repos/main.py 0644L /usr/bin/env
python2-tripleo-repos.noarch: W: no-manual-page-for-binary tripleo-repos
python2-tripleo-repos.noarch: W: no-manual-page-for-binary tripleo-repos-2
python2-tripleo-repos.noarch: W: no-manual-page-for-binary tripleo-repos-2.7
1 packages and 0 specfiles checked; 2 errors, 4 warnings.



Requires
--------
python2-tripleo-repos (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-requests



Provides
--------
python2-tripleo-repos:
    python-tripleo-repos
    python2-tripleo-repos



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m rdo-pike-el7 -n tripleo-repos
Buildroot used: cloud7-openstack-pike-el7-build
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Note You need to log in before you can comment on or make changes to this bug.